Search found 1111 matches

Go to advanced search

by drmacro
Fri Aug 07, 2020 12:00 pm
Forum: Help on using FreeCAD
Topic: how to create slits on a fin tube cover
Replies: 2
Views: 18

Re: how to create slits on a fin tube cover

Hello, need help in understanding the process by which I can create the rotated slits in a fin tube radiator cover. Here at our shop we cut a slit and then bend the metal in to create the gap where heat can escape. I am trying to figure out how I can do that with FreeCAD. I've attached my drawing, ...
by drmacro
Fri Aug 07, 2020 9:47 am
Forum: Help on using FreeCAD
Topic: No scaling in TechDraw Workbench
Replies: 2
Views: 39

Re: No scaling in TechDraw Workbench

Hi, I am really new in FreeCAD and learn by YT Tutorials right now. Here is something that does not work for me, even it looks really really simple on YT. I want to make a drawing out of my construction, which is just a 380mm x 580mm x 2mm plate with some holes right now. So I open the TechDraw WB,...
by drmacro
Thu Aug 06, 2020 3:52 pm
Forum: Help on using FreeCAD
Topic: How to display face normals?
Replies: 8
Views: 158

Re: How to display face normals?

hi avec Macro_WorkFeatures https://forum.freecadweb.org/download/file.php?id=122194 other: Normale d'une Face experiment on destructive subelement modifier (normal axis or normal loft face, see #### configuration #### ) mario Can't find the macro in the Addon manager... OS: Ubuntu 20.04.1 LTS (XFCE...
by drmacro
Thu Aug 06, 2020 3:51 pm
Forum: Help on using FreeCAD
Topic: How to display face normals?
Replies: 8
Views: 158

Re: How to display face normals?

Roy_043 wrote:
Thu Aug 06, 2020 3:17 pm
If you just want to recognize flipped normals: Mesh_FlipNormals#Notes.
Yes there are several ways to accomplish flipping them...but, seeing them so you can decide=de IF they need flipping is the question. ;)
by drmacro
Thu Aug 06, 2020 3:11 pm
Forum: Help on using FreeCAD
Topic: How to display face normals?
Replies: 8
Views: 158

How to display face normals?

While working with .dat data import and using Curved Shapes workbench I found knowing the direction of the normal is important. In Blender this is easy, you just turn on "view polygon normals", and it shows little arrows indicating the orientation of the normal to the faces, edges, etc. The only thi...
by drmacro
Thu Aug 06, 2020 3:03 pm
Forum: Help on using FreeCAD
Topic: Curved Shapes: normals reversed and Links go out of scope
Replies: 2
Views: 91

Re: Curved Shapes: normals reversed and Links go out of scope

For inverted face, I saw that too: https://forum.freecadweb.org/viewtopic.php?f=3&t=48305 For the scope allowed issue, it's because you're using sketches from a body. It's better to keep your sketches inside a group. Unfortunately the surface feature doesn't work here. I've learned that the normal ...
by drmacro
Tue Aug 04, 2020 9:28 pm
Forum: Help on using FreeCAD
Topic: TechDraw: scripting
Replies: 11
Views: 224

Re: TechDraw: scripting

edge = FreeCAD.ActiveDocument.View002.getEdgeByIndex(0) edge.Curve.Radius edge.Curve.Location The location seems to be relative to the center of the view. Yeah I eventual put that together. My ultimate goal is to get the info on a user selected object (so I was cheating by knowing the index 8-) ) S...
by drmacro
Tue Aug 04, 2020 7:56 pm
Forum: Python scripting and macros
Topic: Drilling down to info of selected object
Replies: 1
Views: 168

Drilling down to info of selected object

My goal is to write a script where the user selects an edge (in this particular case it's a circle displayed in a view in a TechDraw page) I want to access the center point and the radius. I have done this by hand at the python console, but I used: myobj.FreeCAD.ActiveDocument.View.getEdgeByIndex(4)...
by drmacro
Tue Aug 04, 2020 6:26 pm
Forum: Help on using FreeCAD
Topic: Curved Shapes: normals reversed and Links go out of scope
Replies: 2
Views: 91

Curved Shapes: normals reversed and Links go out of scope

Not sure why either of these happen. Part::FeaturePython / CurvedArray: Links go out of the allowed scope I can see from the dependency graph that the curved array IS outside the Body. But it does not throw the warning when the array is made, only after subsequent operations (like changing the Solid...
by drmacro
Tue Aug 04, 2020 5:30 pm
Forum: Help on using FreeCAD
Topic: TechDraw: scripting
Replies: 11
Views: 224

Re: TechDraw: scripting

... myObj = FreeCAD.ActiveDocument.getObject('Edge4') print(myObj.TypeID) Edges are not objects. Edges are subelements inside objects. So, when I click on a circle in a TechDraw page view the status bar shows something like: <doc name>.ProjItem006.Edge4 How do I find the coordinates of the center o...

Go to advanced search